{
    "path": "$OET_PATH/testcases/function_test/pkg_test/jakarta-commons-httpclient/jakarta-commons-httpclient",
    "machine num": 1,
    "cases": [
        {
            "name": "test_jakarta-commons-httpclient_function_install",
            "desc": "Test package installation"
        },
        {
            "name": "test_jakarta-commons-httpclient_function_connect",
            "desc": "Test HTTP connection"
        },
        {
            "name": "test_jakarta-commons-httpclient_function_get",
            "desc": "Test HTTP GET request"
        },
        {
            "name": "test_jakarta-commons-httpclient_function_auth",
            "desc": "Test HTTP authentication"
        }
    ]
}